=== debian/control ===
Source: gap
Section: math
Priority: optional
Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
Standards-Version: 2.3.0.1

Package: gap
Architecture: i386
Depends: ${shlibs:Depends}
Description: gap is a system for computational discrete algebra.
 gap is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel, which makes 
 use of readline, implements a pascal-like language. Many libraries 
 and data bases are included.  A thorough html manual is included.
 See http://www-gap.dcs.st-and.ac.uk/~gap 
 http://www.math.rwth-aachen.de/LDFM/GAP (Mirror Site)
 http://www.ccs.neu.edu/mirrors/GAP (Mirror Site)
 http://wwwmaths.anu.edu.au/research.groups/algebra/GAP/www/ (Mirror Site)
