=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=gap

build:
	$(checkdir)
	mkdir debian/html
	cd etc; ./convert.pl -c ../doc  ../debian/html
	cd src ; patch Makefile < ../debian/makefile_patch
	cd src; make ibm-i386-linux-gcc2 
	touch build

clean:
	$(checkdir)
#   Restore original makefile.
	if [ ! -e debian/Makefile.orig ]; then cp  src/Makefile debian/Makefile.orig; fi
	cp -f debian/Makefile.orig src/Makefile
	-rm -f build
# target clean does not exist
	rm -f src/*.o
	rm -f src/gap
	rm -rf debian/html
#	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	install -d debian/tmp/usr/lib/gap
	install -d debian/tmp/usr/lib/gap/bin
	install -d debian/tmp/usr/doc/gap/html
	install -d debian/tmp/usr/man/man1
	cp  debian/html/* debian/tmp/usr/doc/gap/html
	cp debian/gap.sh.debian debian/tmp/usr/bin/gap
	cp src/gap debian/tmp/usr/lib/gap/bin/gap
	cp -r etc debian/tmp/usr/lib/gap
	cp -r grp debian/tmp/usr/lib/gap
	cp -r lib debian/tmp/usr/lib/gap
	cp -r tst debian/tmp/usr/lib/gap
	cp -r doc debian/tmp/usr/lib/gap
	cp debian/gap.1 debian/tmp/usr/man/man1
		
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-shlibdeps src/gap
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
