## gap 3.4.4-3

=== src/Makefile ===
--- 
+++ 
@@ -224,8 +224,12 @@
 	@$(MAKE) gap        CC=cc  CFLAGS="$(COPTS) -O"  SYS_FILE=system.o  LOPTS="$(LOPTS)"
 
 ibm-i386-linux-gcc2:
-	@$(MAKE) system.o   CC=gcc  CFLAGS="$(COPTS) -DSYS_IS_USG -DSYS_HAS_TIME_PROTO -DSYS_HAS_SIG_T=void"
-	@$(MAKE) gap        CC=gcc  CFLAGS="$(COPTS) -O2"  SYS_FILE=system.o  LOPTS="$(LOPTS)"
+	@$(MAKE) system.o   CC=$(DCC)  CFLAGS="$(COPTS) -DSYS_IS_USG -DSYS_HAS_IOCTL_PROTO -DSYS_HAS_TIME_PROTO -DSYS_HAS_SIG_T=void"
+	@$(MAKE) gap        CC=$(DCC)  CFLAGS="$(COPTS) $(DCFLAG)"  SYS_FILE=system.o  LOPTS="$(LOPTS)"
+
+any-linux:
+	@$(MAKE) system.o   CC=$(DCC)  CFLAGS="$(COPTS) -DSYS_IS_USG -DSYS_HAS_IOCTL_PROTO -DSYS_HAS_TIME_PROTO -DSYS_HAS_SIG_T=void"
+	@$(MAKE) gap        CC=$(DCC)  CFLAGS="$(COPTS) $(DCFLAG)"  SYS_FILE=system.o  LOPTS="$(LOPTS)"
 
 # 'std.h' claims 'strncat' has third argument 'int' (ANSI says 'size_t')
 # 'stdio.h' claims 'setbuf' has return type 'int' (UNIX says 'void')
@@ -252,8 +256,3 @@
 	@$(MAKE) gap        CFLAGS="$(COPTS) -O2 -systype sysv"  SYS_FILE=system.o  LOPTS="$(LOPTS) -systype sysv"
 
 next-m68k-mach-gcc2:
-	@$(MAKE) system.o   CC=gcc  CFLAGS="$(COPTS) -DSYS_IS_MACH"
-	@$(MAKE) gap        CC=gcc  CFLAGS="$(COPTS) -O2" SYS_FILE=system.o  LOPTS="$(LOPTS)"
-
-next-m68k-mach-cc:
-	@$(MAKE) system.o   CFLAGS="$(COPTS) -DSYS_IS_MACH"
