=== debian/changelog ===
gap (3.4.4-3) unstable; urgency=low

  * Support other archs, (I hope)
  * Fixed a few linitian bugs
	
 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sun, 27 Sep 1998 19:03:08 -0700

gap (3.4.4-2) unstable; urgency=low

  * Moved to non-free because of non-commercial restriction

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat,  8 Aug 1998 22:24:56 -0700
