=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gap
-Section: math
+Section: non-free/math
 Priority: optional
 Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
 Standards-Version: 2.3.0.1
 
 Package: gap
-Architecture: i386
+Architecture: any
 Depends: ${shlibs:Depends}
-Description: gap is a system for computational discrete algebra.
+Description: system for computational discrete algebra.
  gap is a system for computational discrete algebra with particular
  emphasis on computational group theory, but which has already proved
  useful also in other areas.   In the example text, gap is used to
