=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,21 @@
 
 package=gap
 
+CC := $(shell if [ -x /usr/bin/egcc ]; then echo egcc; else echo cc; fi)
+
 build:
 	$(checkdir)
 	mkdir debian/html
 	cd etc; ./convert.pl -c ../doc  ../debian/html
-	cd src ; patch Makefile < ../debian/makefile_patch
-	cd src; make ibm-i386-linux-gcc2 
+#	cd src ; patch Makefile < ../debian/makefile_patch
+	cd src; make DCC=$(CC) DCFLAG="-O3" any-linux
 	touch build
 
 clean:
 	$(checkdir)
 #   Restore original makefile.
-	if [ ! -e debian/Makefile.orig ]; then cp  src/Makefile debian/Makefile.orig; fi
-	cp -f debian/Makefile.orig src/Makefile
+#	if [ ! -e debian/Makefile.orig ]; then cp  src/Makefile debian/Makefile.orig; fi
+#	cp -f debian/Makefile.orig src/Makefile
 	-rm -f build
 # target clean does not exist
 	rm -f src/*.o
