## gap 4r4p12

=== cnf/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ##
 #W  Makefile			GAP source			 Frank Celler
 ##
-#H  @(#)$Id: Makefile,v 4.15.4.1 2006/03/06 13:37:07 gap Exp $
+#H  @(#)$Id: Makefile,v 4.15.4.2 2008/02/12 17:10:35 sal Exp $
 ##
 #Y  Copyright (C)  1997,  Lehrstuhl D fuer Mathematik,	RWTH Aachen,  Germany
 ##
@@ -50,8 +50,8 @@
 	@echo >> Makegap.in
 	@echo >> Makegap.in
 	@echo '# compile and link GAP' >> Makegap.in
-	@echo 'gap: $$(OBJECTS)' >> Makegap.in
-	@echo '	$$(CC) $$(CFLAGS) $$(LDFLAGS) -o gap $$(OBJECTS) -lm $$(MPILIBS) @LIBS@' >> Makegap.in
+	@echo 'gap: $$(OBJECTS) $$(ITANIUMOBJ)' >> Makegap.in
+	@echo '	$$(CC) $$(CFLAGS) $$(LDFLAGS) -o gap $$(OBJECTS) $$(ITANIUMOBJ) -lm $$(MPILIBS) $$(EXTOBJS)  @LIBS@' >> Makegap.in
 	@echo >> Makegap.in
 	@echo '# dependencies are automatically generated' >> Makegap.in
 	@(for i in `eval 'echo $(SOURCE)'`; do \
