=== debian/changelog ===
gap (4r6p5-3) unstable; urgency=low

  * new patch:
     - mips-macfloat: added: workaround for an alignement issue on mips(el).
  * debian/rules:
   - build gap-dev object files with -fPIC to be compatible with use in shared
     libraries.

 -- Bill Allombert <ballombe@debian.org>  Thu, 19 Sep 2013 15:00:06 +0200

gap (4r6p5-2) unstable; urgency=low

  * debian/copyright: Bump version
  * patches:
     - configure: renamed to configure-gapdir
     - configure-abi: do not pass -m to gcc (fix FTBFS on ia64, mips and arm).
     - hurd-task_self: use mach_task_self instead of task_self on GNU/hurd.

 -- Bill Allombert <ballombe@debian.org>  Wed, 11 Sep 2013 22:32:50 +0200

gap (4r6p5-1) unstable; urgency=low

  * New upstream release. Closes: #677668.
    + Fix crashes while displaying large character tables. Closes: #605269.
    + debian/tarball, debian/README.source: update for new upstream tarball
    + debian/watch: added, for new upstream tarball
    + debian/rules: 
      - no need to add -fno-strict-aliasing to CFLAGS
  * Move to new source format 3.0 (quilt). Patches applied:
     - config-sub-guess: use autotools-dev config.* version
     - configure: fix path in configure
     - doc-makefile: add Makefile for clean/install
     - gac-object: fix OBJECTS variable in gac script
     - gac: update path in gac script
     - configure-fpic: use -fPIC instead of -fpic
     - configure-ncurses: do not require ncurses to link readline
  * debian/control:
    - Build-Depends on libgmp-dev and gap-gapdoc
    - gap-libs now depends on gap-gapdoc
    - Bump Standards-Version to 3.9.4.
  * debian/gap-core.triggers, debian/gap-core.postinst:
    - Fix to handle compressed workspaces
  * Move to debhelper 5
  * debian/rules:
    - use dh_prep instead of dh_clean -k

 -- Bill Allombert <ballombe@debian.org>  Sun, 08 Sep 2013 11:44:42 +0200

gap (4r4p12-2) unstable; urgency=low

  * debian/rules: 
    - add -fno-strict-aliasing to CFLAGS to avoid issues with newer gcc.
  * src/sysfiles.c: 
    - Prefer termios.h over sgtty.h. This fix a build failure on kfreebsd.

 -- Bill Allombert <ballombe@debian.org>  Thu, 25 Nov 2010 11:07:30 +0100

gap (4r4p12-1) unstable; urgency=low

  * New upstream release. Closes: #510823.
    - Better support for ia64 architecture.
  * debian/rules:
    - No more build with -O0 on ia64.
  * Move doc-base menu entries to Science/Mathematics. Closes: #458543.
    Thanks Marco Rodrigues.
  * debian/README.Debian: remove paragraph about upgrade from Sarge.
  * debian/gap-core.links:
    - Add symlink /usr/share/gap/sysinfo.gap -> /usr/lib/gap/sysinfo.gap
  * debian/control:
    - Bump Standards-Version to 3.8.0.
    - Move Homepage field from description to the source section.
  * debian/tarball:
    - Extract gap and tomlib versions from files in the tarballs.
  * debian/README.source: (added)
    - Document how to generate the Debian tarballs from the upstream ones.
  * debian/gap-core.triggers, debian/gap-core.postinst
    - Set up a trigger to rebuild the system GAP workspace if it exists,
      when Debian GAP packages are updated.
  * debian/doc/update-gap-workspace.1, debian/doc/gap-policy.sgml
    - Document that the system GAP workspace is automatically updated.

 -- Bill Allombert <ballombe@debian.org>  Thu, 19 Feb 2009 10:35:52 +0100

gap (4r4p10-2) unstable; urgency=low

  * Change make_doc to use #!/bin/bash to allow building with 
    /bin/sh->/bin/dash. Closes: #459064.
  * debian/copyright:
    - convert to UTF-8
  * debian/control:
    - bump Standards-Version to 3.7.3.

 -- Bill Allombert <ballombe@debian.org>  Mon, 21 Jan 2008 11:29:01 +0100

gap (4r4p10-1) unstable; urgency=low

  * New upstream release
  * Change debian/tarball script to include tools tarball in source.
  * Update menu entry section to Applications/Science/Mathematics.
  * debian/control:
    - Build-Depends on texlive-base instead of tetex-*.
    - Use ${binary:Version} instead ${Source-Version}

 -- Bill Allombert <ballombe@debian.org>  Thu, 22 Nov 2007 18:37:55 +0100

gap (4r4p9-1) unstable; urgency=low

  * New upstream release

 -- Bill Allombert <ballombe@debian.org>  Sun, 12 Nov 2006 15:49:23 +0100

gap (4r4p8-1) unstable; urgency=low

  * New upstream release
  * Bump Standard-Versions to 3.7.2
  * debian/control: 
     - Use ${source:Version} instead ${Source-Version} to allow binNMU.
     - Build-Depends on dpkg-dev (>= 1.13.19)
  * Fix whatis entries of gap(1) and update-gap-workspace(1).
  * Do not hard-code path to mrabbrev, see #359684. Thanks Frank Küster

 -- Bill Allombert <ballombe@debian.org>  Wed, 11 Oct 2006 21:39:57 +0200

gap (4r4p7-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Change -X\\.pdf to -X.pdf since dh_install was fixed.
  * regenerate GAP manpage.

 -- Bill Allombert <ballombe@debian.org>  Sat, 25 Mar 2006 13:01:43 +0100

gap (4r4p6-1) unstable; urgency=low

  * New upstream release
  * sysinfo.gap: moved to gap-core
  * debian/control: gap-core replaces gap-dev sysinfo.gap file.
  * debian/README.Debian: document that some GAP packages require 
    gap-dev to build.

 -- Bill Allombert <ballombe@debian.org>  Tue, 18 Oct 2005 08:41:30 +0200

gap (4r4p5-1) unstable; urgency=low

  * New upstream release
    - This release includes lib/colorprompt.g by Frank Luebeck.
  * Update README.Debian to reflect the new instructions to set up 
    colors in gap.
  * cnf/gac.in: Remove spurious final rmdir (sigh).
  * Tighten dependencies to avoid differents parts of GAP getting 
    out of sync with each others.
  * Bump Standard-Versions to 3.6.2
  * Add icon to menu entry.

 -- Bill Allombert <ballombe@debian.org>  Fri,  1 Jul 2005 16:50:34 +0200

gap (4r4p4-1) unstable; urgency=low

  * New upstream release
  * Remove obsolete watch file.
  * Fix sections of doc-base files.
  * GAP packaging policy: Recommends to compress large datasets. 
  * README.Debian: Add sections "Browsing GAP Documentation", "Large GAP

