=== debian/control ===
Source: gap
Section: math
Priority: optional
Maintainer: Bill Allombert <ballombe@debian.org>
Build-Depends: debhelper (>= 5.0.0), autotools-dev, libgmp-dev, libreadline-dev, gap-gapdoc
Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml, help2man
Standards-Version: 3.9.4
Homepage: http://www.gap-system.org/

Package: gap
Architecture: all
Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
Recommends: gap-doc,gap-dev,gap-trans-groups,gap-prim-groups,gap-small-groups
Suggests: gap-small-groups-extra,gap-character-tables,gap-table-of-marks
Description: Groups, Algorithms and Programming computer algebra system
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel implements a Pascal-like
 language. 
 .
 This is a dummy package that depends on the standard GAP components.

Package: gap-core
Architecture: any
Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
Recommends: gap-online-help
Suggests: gap-doc,gap-dev,gap-trans-groups,gap-prim-groups,gap-small-groups
Replaces: gap (<< 4r3n4), gap-dev (<< 4r4p6)
Description: GAP computer algebra system, core components
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel implements a Pascal-like
 language. 
 .
 This package contains the core GAP system.

Package: gap-libs
Architecture: all
Depends: ${misc:Depends}, gap-gapdoc
Description: GAP computer algebra system, essential GAP libraries
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel implements a Pascal-like
 language. 
 .
 This package contains the essential GAP libraries (lib and grp).

Package: gap-dev
Section: devel
Architecture: any
Depends: gap-core (=${binary:Version}), gcc, ${misc:Depends}
Description: GAP computer algebra system, compiler and development files
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel implements a Pascal-like
 language. 
 .
 This package contains the GAP compiler and the headers files and
 objects files necessary to build GAP packages.
 .
 The GAP compiler (GAC) creates C code from GAP code and then calls
 the system's C compiler to produce machine code from it. This can
 result in a speedup.

Package: gap-online-help
Architecture: all
Depends: gap-core, ${misc:Depends}
Description: GAP computer algebra system, online help
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel implements a Pascal-like
 language.
 .
 This package contains the documentation in TeX format needed for the online
 help system.

Package: gap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: gap
Description: GAP computer algebra system, documentation
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.   In the example text, gap is used to
 analyse Rubik's Cube using group theory.  A kernel implements a Pascal-like
 language.
 .
 This package contains the documentation in DVI and PDF formats.
